curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/breakdown' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window_days": 1,
"status_counts": [
{
"key": "string",
"count": 2
}
],
"skip_reasons": [
{
"key": "string",
"count": 2
}
],
"escalation_categories": [
{
"key": "string",
"count": 2
}
],
"outcome_sources": [
{
"key": "string",
"count": 2
}
],
"outcome_channels": [
{
"key": "string",
"count": 2
}
]
}
Get brand improvement breakdown
Where automation is being lost: run-status distribution, skip-rule and escalation-category frequencies, outcome source/channel coverage.
GET
/
v1
/
brands
/
{brand_id}
/
workflows
/
breakdown
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/breakdown' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window_days": 1,
"status_counts": [
{
"key": "string",
"count": 2
}
],
"skip_reasons": [
{
"key": "string",
"count": 2
}
],
"escalation_categories": [
{
"key": "string",
"count": 2
}
],
"outcome_sources": [
{
"key": "string",
"count": 2
}
],
"outcome_channels": [
{
"key": "string",
"count": 2
}
]
}
Path parameters
string (uuid)
required
Response
object
string (uuid)
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | Where automation is being lost: run-status distribution, skip-rule and escalation-category frequencies, outcome source/channel coverage. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/breakdown' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window_days": 1,
"status_counts": [
{
"key": "string",
"count": 2
}
],
"skip_reasons": [
{
"key": "string",
"count": 2
}
],
"escalation_categories": [
{
"key": "string",
"count": 2
}
],
"outcome_sources": [
{
"key": "string",
"count": 2
}
],
"outcome_channels": [
{
"key": "string",
"count": 2
}
]
}
Last modified on August 31, 2026